Bug 965941 - Lots of JdbcSQLException in a trace file of H2 database when starting/using application
Lots of JdbcSQLException in a trace file of H2 database when starting/using a...
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: BAM (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity low
: DR6
: 6.0.0
Assigned To: David Gutierrez
Jan Hrcek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-22 02:23 EDT by Jan Hrcek
Modified: 2014-08-06 16:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:12:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
H2 DB trace file after clean application startup (2.52 MB, text/plain)
2013-05-22 02:23 EDT, Jan Hrcek
no flags Details

  None (edit)
Description Jan Hrcek 2013-05-22 02:23:50 EDT
Created attachment 751510 [details]
H2 DB trace file after clean application startup

Description of problem:

When dashbuilder is started with default configuration (with H2 db) the dashbuilder.trace.db file gets filled with a huge amount of exceptions and the number of exception grows very fast when using the application (see attached trace file - 2.6MB of exceptions just after initial start of the application with no DB created).

The related problem is, that when the application is started, H2 database lock file (dashbuilder.lock.h2) stays present for much longer periods of time and after some application operations it even stays present permanently. I'm not entirely sure that this 2nd problem is related to the 1st, but it started to appear at the same time - after commits to dashbuilder project on github on May 17, 2013 (migration to Hibernate version 4.2)


Steps to Reproduce:
1. Build and run the latest version of dashbuilder with H2 database.
2. See the H2 db trace file ~/dashbuilder.trace.db. Also observer the long-lasting presence of dashbuilder.lock.db file after some operations.


Actual results:
-The dashbuilder.trace.db file is full of exceptions (about 2.6MB after clear startup) 
org.h2.jdbc.JdbcSQLException: The object is already closed [90007-168]

-Also the lock file dashbuilder.lock.db is held for longer periods of time, and after some application operations the lock remains present permanently.

Expected results:
No exceptions in the H2 db trace file
Comment 1 Jan Hrcek 2013-06-20 01:46:23 EDT
This issue seems to have been solved in Bug 969278. Will be verified when next release (DR6) comes out.
Comment 2 Jan Hrcek 2013-07-13 03:54:28 EDT
Ok, verified with BPMS 6.0.0.DR6.

Note You need to log in before you can comment on or make changes to this bug.